---
search:
  tags:
    - Reports
    - PATCH
seo:
  description: >-
    Close a report. Reference for the PATCH /api/admin/reports/{id} endpoint in
    the Athena Attack/Defence Admin API.
sidebar:
  label: Close a report
  badge: PATCH
title: Close a report
type: openapi-operation
---
`PATCH /api/admin/reports/{id}`

**Request body** (`application/json`, required)

- `closeReason` (string, required)
- `adminMessage` (string)

Request body example:

```json
{
  "closeReason": "resolved",
  "adminMessage": "string"
}
```

**Responses**

- `200` — Success
- `400` — Response for status 400
- `401` — Unauthorized
- `404` — Response for status 404
- `409` — Response for status 409
- `422` — Validation failed
- `500` — Unhandled server error

Response example, 200:

```json
{
  "entries": [
    {
      "id": "string",
      "authorRole": "player",
      "authorUserId": "string",
      "kind": "player_update",
      "reason": "other",
      "body": "string",
      "createdAt": "2019-08-24T14:15:22Z"
    }
  ],
  "id": "string",
  "scope": "platform",
  "serviceId": "string",
  "platformArea": "auth",
  "reporterUserId": "string",
  "status": "open",
  "closeReason": "resolved",
  "createdAt": "2019-08-24T14:15:22Z",
  "closedAt": "2019-08-24T14:15:22Z",
  "serviceSlug": "string",
  "serviceName": "string",
  "reporterName": "string",
  "reporterUsername": "string",
  "reporterEmail": "string"
}
```
